<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
This is the main template that is loaded for each page.
This should contain:
	- header
	- if required:
		- login form
		- error messages
		- status messages
	- main content
*/
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Mailboy - A webinterface for Postfix</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="author" content="Emmanuel Revah" />
	<link rel="stylesheet" type="text/css" media="all" href="<? echo "$mailboy_root/templates/$template/css/"?>style.css" />
</head>
<body>

<?
/* DEBUG AREA */
//print_array($content[accounts]);
//print_array($content[forms]);
//print_array($content[account_detail]);
//print_array($_POST);
//print_array($_SESSION);
?>
<div id="wrap">

	<div id="header">
		<h1><a href="<?php echo $mailboy_root ?>">Mailboy</a></h1>
	        <div id="userinfo">
			<strong><? echo $_SESSION[login][email]; ?></strong>
			<? if ($_SESSION[login][admin] == 1) { ?>
			<p>you are: <em>server admin</em></p>
			<? } elseif ($_SESSION[login][admin_of]) { ?>
			<p>you are: <em>domain admin</em></p>
			<? } ?>
		</div>
	</div>

	<?php if(am_i_user()) { ?>
	<div id="menu">
		<ul>
		<? foreach ($pages_allowed as $k => $v) {
			if ($v[menu]) { ?>
			<li <? if($k ==$_GET['page']) echo 'class="active"'; ?>><a href="index.php?page=<? echo $k; ?>"><? echo $v[title]; ?></a></li>
			<? }
		} ?>
		</ul>
	</div>
	<? } ?>

	<div id="main">
		<? if ($content[errors]) { ?>
			<div class="errors">
			<h2>Errors</h2>
			<ul>
			<? foreach ($content[errors] as $k => $v) {
				if (!empty($v)) { ?>
				<li><? echo $v; ?></li>
				<? }
			} ?>
			</ul>
			</div>
		<? } ?>

		<? if ($content[status]) { ?>
			<div class="status">
			<h2>Status</h2>
			<ul>
			<? foreach ($content[status] as $k => $v) {
				if (!empty($v)) { ?>
				<li><? echo $v; ?></li>
				<? }
			} ?>
			</ul>
			</div>
		<? } ?>

		<? // this would be the main content
		if ($page) {
			require_once("templates/$template/$page");
		} else { ?>
			<p>Mailboy is a web interface for administrating email accounts. It uses a setup with Postfix, Dovecot and Amavis. The actual server setup is based on the tutorial from Christoph Haas that you can find <a href="http://workaround.org/ispmail/lenny/">here</a>. There are a few <a href="http://manurevah.com/blah/en/pages/mailboy">modifications to the Workaround setup</a>.</p>
		<? }?>
	</div>

	<div id="footer">
	<? if (am_i_user()) { ?>
		<div id="logout">
			<form action="" method="post" enctype="multipart/form-data">
				<p><input type="submit" class="input-submit" name="logout" value="Logout" /></p>
			</form>
		</div>
	<? } ?>
		<p><a href="http://mailboy.manurevah.com/">Mailboy</a> - A web interface for a Postfix mail server.</p>
	</div>
</div>
</body>
</html>
