<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Mailboy - For adminning your mail</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="author" content="Emmanuel Revah" />
	<link rel="stylesheet" type="text/css" media="all" href="<? echo "$mailboy_root/templates/$template/style.css"; ?>" />
</head>
<body>

<div id="wrapper">

	<div id="top">
		<h1>Mailboy</h1>
	</div>

	<? if (am_i_user()) { ?>
	<div id="userinfo">
		<strong><? echo $_SESSION[login][email]; ?></strong>
		<? if ($_SESSION[login][admin] == 1) { ?>
		<p>role: server admin</p>
		<? } elseif ($_SESSION[login][admin_of]) { ?>
		<p>role: domain admin</p>
		<? } ?>
	</div>
	<div id="logout">
		<form action="" method="post" enctype="multipart/form-data">
			<input class="input-submit" type="submit" name="logout" value="Logout" />
		</form>
	</div>
	<? } ?>

	<div id="menu">
		<ul>
		<? foreach ($pages_allowed as $k => $v) {
			if ($v[menu]) { ?>
			<li><a href="index.php?page=<? echo $k; ?>"><? echo $v[title]; ?></a></li>
			<? }
		} ?>
		</ul>
	</div>
	<div class="clear"></div>

	<? if ($content[errors]) { ?>
		<div id="errors">
			<h3>Errors</h3>
			<ul>
			<? foreach ($content[errors] as $k => $v) {
				if (!empty($v)) { ?>
				<li><? echo $v; ?></li>
				<? }
			} ?>
			</ul>
		</div>
	<? } ?>

	<? if ($content[status]) { ?>
		<div id="status">
			<h3>Status</h3>
			<ul>
			<? foreach ($content[status] as $k => $v) {
				if (!empty($v)) { ?>
				<li><? echo $v; ?></li>
				<? }
			} ?>
			</ul>
		</div>
	<? } ?>

	<div id="main">
		<? // !! this would be the main content !!
		if ($page) {
			require_once("templates/$template/$page");
		} else {  ?>
		<p>Mailboy is a web interface for administrating email accounts. It uses a setup with Postfix, Dovecot and Amavis (Among others). The actual server setup
		is based on the tutorial from Christoph Haas that you can find <a href="http://workaround.org/ispmail/lenny/">here</a>. However there are a few modifications
		to the Workaround setup, mostly around the database.</p>
		<? } ?>
	</div>

	<div id="footer">
		<small>Mailboy - A web interface for a Postfix mail server. version <? echo $mailboy_version; ?>
		<br />More information <a href="http://manurevah.com/blah/pages/mailboy"/>here</a></small>
	</div>
</div>

</body>
</html>
